
program WinDemo ( input, output );

uses Crt,
     Superwin;

var i,
    BordNum : byte;

{

procedure PieceExplode ( X1,
                         Y1,
                         X2,
                         Y2,
                         Fore,
                         Back,
                         Speed,
                         Jump      : byte;
                         Border    : string;
                         EffectsOn : boolean);

procedure ExplodeWindow ( X1,
                          Y1,
                          X2,
                          Y2,
                          Fore,
                          Back,
                          Speed,
                          Jump      : byte;
                          Border    : string;
                          EffectsOn : boolean);

procedure SolidWindow ( X1,
                        Y1,
                        X2,
                        Y2     : byte;
                        Border : string );



These are preset borders :

  Border[1] := '++++-|';
  Border[2] := 'ڿĳ';
  Border[3] := 'ɻȼͺ';
  Border[4] := 'ַӽĺ';
  Border[5] := 'ոԾͳ';    All these can be edited from the main file
  Border[6] := '';
  Border[7] := '';
  Border[8] := '';
  Border[9] := '';

 Border[10] is open for the user of the program to make

}


begin
 ClrScr;
 write ( output, 'What border number do you want to use? ( 1 - 10 ) : ' );
 readln ( input, BordNum );
 writeln;
 write ( output, 'Press <enter> for display!');
 readln;
 ClrScr;
 for i := 1 to 6 do
  PieceExplode ( i, i, 80-i, 24-i, i, 0, 10, 0, Border[BordNum], true );
 for i := 7 to 11 do
  ExplodeWindow ( i, i, 80-i, 24-i, i, 0, 5, 0, Border[BordNum], true );
 GotoXy ( 30, 12 );
 TextColor (15);
 TextBackGround (1);
 Write ( output , '  Thats All Folks!  ' );
 readln;
end.
